#include "Authorizer.h"
#include "SimpleACLAuthorizer.h"
#include "ACLAuthorizer.h"
#include <iostream>
#include <string>

using namespace std;

int main()
{
    cout << "Start test"<< endl;

    try
    {
	string aclFile("/home/g3/users/boverhof/acl/newACLFile");
	Authorizer* auth = new ACLAuthorizer(aclFile);
	string dn("/C=US/O=Lawrence Berkeley National Laboratory/OU=DSD/CN=Joshua Boverhof");
	string act("execute");
	bool ret = auth->authorize(dn, act);
	cout << "Return is: " << ret << endl;
    }
    catch(string& ex)
    {
	cerr << "Exception: " << ex << endl;
    }
}
